summaryrefslogtreecommitdiffstats
path: root/package/base-files
diff options
context:
space:
mode:
authoracinonyx <acinonyx@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-04-01 15:22:13 +0000
committeracinonyx <acinonyx@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-04-01 15:22:13 +0000
commita9e78431f4bfa9ee3767f6eb75e8b069f7487a11 (patch)
treeee45a953ff82907795ac783fc644657be3d41beb /package/base-files
parent23f27ea50bbe2cbdd0c260c7c6b78229a83d7996 (diff)
[package] base-files: Cancel firmware loading if file doesn't exist
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@20649 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files')
-rwxr-xr-xpackage/base-files/files/sbin/hotplug-call2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/base-files/files/sbin/hotplug-call b/package/base-files/files/sbin/hotplug-call
index c5a76a76c..e56460de9 100755
--- a/package/base-files/files/sbin/hotplug-call
+++ b/package/base-files/files/sbin/hotplug-call
@@ -10,7 +10,7 @@ export HOTPLUG_TYPE="$1"
echo 1 > "/sys$DEVPATH/loading"
dd if="/lib/firmware/$FIRMWARE" of="/sys$DEVPATH/data" bs=64k
echo 0 > "/sys$DEVPATH/loading"
- }
+ } || echo -1 > "/sys$DEVPATH/loading"
exit 0
}